Get a specific application by ID.
Security
bearer
GET
curl -i -X GET \
'https://partner.xcures.com/api/v1/patient-registry/application/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'Webhook URL to invoke when an applicant accepts or denies consent.
Example:"https://example.com/webhooks/consent"
Webhook URL to invoke when there's a result for an applicant's identity validation.
Example:"https://example.com/webhooks/identity-validation"
Response
{ "id": "c8ec1d54-a85c-411f-aa12-fd3a7f2480f4", "created": "2025-05-26T23:30:40.912Z", "updated": "2025-05-26T23:30:40.912Z", "firstName": "David", "middleName": "Quincy", "lastName": "Mann", "birthDate": "2023-05-26", "addressLine1": "123 Main St.", "addressLine2": "Apt 4B", "addressCity": "Minneapolis", "addressState": "MN", "addressPostalCode": "55401", "sexAtBirth": "male", "emailAddress": "david.mann@example.com", "phoneNumber": "123-456-7890", "cohortId": "f46c52af-820b-4169-82af-b740b54d8bb5", "cohortName": "Cohort A", "subjectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "consentAccepted": true, "onConsentWebhookUrl": "https://example.com/webhooks/consent", "onIdentityValidationWebhookUrl": "https://example.com/webhooks/identity-validation", "onQueryResultWebhookUrl": "https://example.com/webhooks/ehr-query" }